<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">
    <!-- Custom styles -->
    <link rel="stylesheet" href="style.css" type="text/css"> 
</head>
<body>
    <!-- Nav Bar -->
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <a class="navbar-brand" href="#">TripSmart</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
    
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item active">
                    <a class="nav-link" href="/">Home</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="destinations.html">Destinations</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="pointsofinterest.html">Points of Interest</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="hotels.html">Hotels</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="about.html">About</a>
                </li>
            </ul>
        </div>
    </nav>

    <!-- About -->
    <div class="container mt-5">
        <div class="row">
            <div class="col">
                <h2>About Us</h2>
                <p>
                    This website is to help people plan their trip with various 
                    aspects at hand such as finding the best travel destination,
                    hotel accommodations, and tourist attractions. 
                </p>
            </div>
        </div>

        <div class="row mt-5">
            <div class="col-12">
                <h3>Our Team</h3>
            </div>
        </div>
        <div class="row">
            <!-- Loop through team member list and create cards for each team member, including
                 the stats for each of them. -->
            {% for name, member in stats.team_members.items() %}
            <div class="col-md-4 mb-4">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">{{ name }}</h5>
                        <h6 class="card-subtitle mb-2 text-muted">Role: {{ member.role }}</h6>
                        <ul>
                            <li>GitLab ID: {{ member.username }}</li>
                            <li>Issues Closed: {{ member.issues_closed }}</li>
                            <li>Commits: {{ member.commits }}</li>
                            <li>Issues: {{ member.issues }}</li>
                            <li>Unit Tests: </li>
                        </ul>
                    </div>
                </div>
            </div>
            {% endfor %}
        </div>

        <!-- Total Gitlab Specs -->
        <div class="row mt-5">
            <div class="col text-center">
                <p>Total Commits: {{ stats.num_commits }}</p>
                <p>Total Issues: {{ stats.total_issues }}</p>
            </div>
        </div>

        <!-- Tools Section -->
        <div class="row mt-5">
            <div class="col-12">
                <h3>Tools</h3>
            </div>
        </div>
        <div class="row">
            <div class="col-md-3 mb-4">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">NPM</h5>
                    </div>
                </div>
            </div>
            <div class="col-md-3 mb-4">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Postman</h5>
                    </div>
                </div>
            </div>
            <div class="col-md-3 mb-4">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">React</h5>
                    </div>
                </div>
            </div>
            <div class="col-md-3 mb-4">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Flask</h5>
                    </div>
                </div>
            </div>
            <div class="col-md-3 mb-4">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">GCP</h5>
                    </div>
                </div>
            </div>
            <div class="col-md-3 mb-4">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Discord</h5>
                    </div>
                </div>
            </div>
            <div class="col-md-3 mb-4">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Bootstrap</h5>
                    </div>
                </div>
            </div>
            <div class="col-md-3 mb-4">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">GitLab</h5>
                    </div>
                </div>
            </div>
            <div class="col-md-3 mb-4">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">VSCode</h5>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
